using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeProgress
    {
        public FmsWorkCodeProgress()
        {
            FmsWorkRequest = new HashSet<FmsWorkRequest>();
        }

        [Key]
        public int WorkProgressId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(512)]
        public string Description { get; set; }

        [InverseProperty("WorkProgress")]
        public virtual ICollection<FmsWorkRequest> FmsWorkRequest { get; set; }
    }
}
